summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Gustavo B. Schenkel2024-02-22 15:37:02 +0100
committer Willy Sudiarto Raharjo2024-02-24 09:34:50 +0100
commit459ee916938fd89ec6505e13087ddd5293714ec0 (patch)
treeb01483b8193aff1a157c7e5d3cdeb5666188f440 /development
parentc76ddce1b4b75132c8cbb860b316353ec978251a (diff)
downloadslackbuilds-459ee916938fd89ec6505e13087ddd5293714ec0.tar.gz
development/opentofu: Added (fork of terraform).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/opentofu/README15
-rw-r--r--development/opentofu/opentofu.SlackBuild99
-rw-r--r--development/opentofu/opentofu.info10
-rw-r--r--development/opentofu/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/development/opentofu/README b/development/opentofu/README
new file mode 100644
index 0000000000..48b485fd93
--- /dev/null
+++ b/development/opentofu/README
@@ -0,0 +1,15 @@
+OpenTofu is an OSS tool for building, changing, and versioning
+infrastructure safely and efficiently. OpenTofu can manage existing
+and popular service providers as well as custom in-house solutions.
+
+The key features of OpenTofu are:
+ > Infrastructure as Code
+ > Execution Plans
+ > Resource Graph
+ > Change Automation
+
+OpenTofu is a Terraform fork.
+
+Warning: This SlackBuild requires network access when it runs, meaning
+it downloads Go Modules from the Internet with root access. You should
+decide for yourself whether or not you think this is a good idea.
diff --git a/development/opentofu/opentofu.SlackBuild b/development/opentofu/opentofu.SlackBuild
new file mode 100644
index 0000000000..eab0f29597
--- /dev/null
+++ b/development/opentofu/opentofu.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for OpenTofu
+
+# Copyright 2024 Gustavo B. Schenkel, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=opentofu
+VERSION=${VERSION:-1.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+GOOS=linux
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ x86_64) GOARCH=amd64 ;;
+ i586) GOARCH=386 ;;
+ *) GOARCH=$ARCH ;;
+esac
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+# Remove broken symlink (v1.6.1)
+rm website/docs/index.mdx
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export GOPATH=$TMP/gocode:/usr/share/gocode
+export CGO_ENABLED=0
+
+echo -e "\nDownloading go module dependencies..."
+go mod download
+
+echo -e "\nBuilding ..."
+go build \
+ -ldflags "-w -s -X 'github.com/opentofu/opentofu/version.dev=no'" \
+ ./cmd/tofu
+
+install -D -m 0755 ./tofu $PKG/usr/bin/tofu
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ {CHANGELOG,README,SECURITY}.md MAINTAINERS LICENSE docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/opentofu/opentofu.info b/development/opentofu/opentofu.info
new file mode 100644
index 0000000000..3e78f5d250
--- /dev/null
+++ b/development/opentofu/opentofu.info
@@ -0,0 +1,10 @@
+PRGNAM="opentofu"
+VERSION="1.6.1"
+HOMEPAGE="https://opentofu.org/"
+DOWNLOAD="https://github.com/opentofu/opentofu/archive/v1.6.1/opentofu-1.6.1.tar.gz"
+MD5SUM="c3bb1d9cc1de2d53bd777f847ded37ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="Gustavo B. Schenkel"
+EMAIL="gustavo.schenkel@gmail.com"
diff --git a/development/opentofu/slack-desc b/development/opentofu/slack-desc
new file mode 100644
index 0000000000..4e26513b30
--- /dev/null
+++ b/development/opentofu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opentofu: opentofu (tool for building, changing, and versioning infrastructure)
+opentofu:
+opentofu: OpenTofu is an OSS tool for building, changing, and versioning
+opentofu: infrastructure safely and efficiently.
+opentofu: OpenTofu can manage existing and popular service providers as well as
+opentofu: custom in-house solutions.
+opentofu:
+opentofu:
+opentofu: Homepage: https://www.opentofu.org/
+opentofu:
+opentofu: